Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.text
Class PrintSettings.AlignmentEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.openide.text.PrintSettings.AlignmentEditor

All Implemented Interfaces:
  PropertyEditor

Enclosing class:
  PrintSettings

    public static class PrintSettings.AlignmentEditor

extends PropertyEditorSupport

Property editor for alignment properties

Constructor Summary
`PrintSettings.AlignmentEditor()`

Method Summary
`String` | `getAsText()`
`String[]` | `getTags()`
`void` | `setAsText(String s)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintSettings.AlignmentEditor

    public PrintSettings.AlignmentEditor()

Method Detail

### getTags

    public String[] getTags()

  Specified by:
    `getTags` in interface `PropertyEditor`
  Overrides:
    `getTags` in class `PropertyEditorSupport`

### getAsText

    public String getAsText()

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`

### setAsText

    public void setAsText(String s)

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.text 6.9.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.